## org.apache.axis.configuration
Class BasicClientConfig

    java.lang.Object
      org.apache.axis.configuration.SimpleProvider
          org.apache.axis.configuration.BasicClientConfig

All Implemented Interfaces:
  EngineConfiguration

public class BasicClientConfig
extends SimpleProvider

A SimpleProvider set up with hardcoded basic configuration for a client (i.e. http and local transports).

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`BasicClientConfig()` Constructor - deploy client-side basic transports.

Methods inherited from class org.apache.axis.configuration.SimpleProvider
`addRole, configureEngine, deployService, deployService, deployTransport, deployTransport, getDeployedServices, getGlobalOptions, getGlobalRequest, getGlobalResponse, getHandler, getRoles, getService, getServiceByNamespaceURI, getTransport, getTypeMapping, getTypeMappingRegistry, removeRole, setGlobalOptions, setGlobalRequest, setGlobalResponse, setRoles, writeEngineConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicClientConfig

    public BasicClientConfig()

  Constructor - deploy client-side basic transports.

Copyright © 2005 Apache Web Services Project. All Rights Reserved.